#pragma once

#include "common.h"

#include "quam/archive.h"

#include <QValidator>

class PackValidator : public QValidator {
	Q_OBJECT

public:
	Q_INVOKABLE explicit PackValidator(QObject *parent);

	QValidator::State validate(QString &input, int &pos) const override;
};

Arc::Dir readPack(std::istream &st);

// EOF
