#pragma once

#include "common.h"

#include "quam/archive.h"

#include <QValidator>

class Wad2Validator : public QValidator {
	Q_OBJECT

public:
	Q_INVOKABLE explicit Wad2Validator(QObject *parent);

	QValidator::State validate(QString &input, int &pos) const override;
};

Arc::Dir readWad2(std::istream &st);

// EOF
